Skip to content
Aller au contenu
Charitips

API reference · Authentication

Create a token

POST/v1/authentication

Generate a JWT access token required to access all the other endpoints. ⚠️ This endpoint is rate limited, it should only be called on previous token expiration which should be once per hour.

Basic authentication with your client id and secret.

Response

200 · TokenResponse

This field has no description in the spec.

  • accessToken#stringalways returned

Errors

  • 401Invalid credentials
    {
      "statusCode": 401,
      "message": "Invalid credentials",
      "error": "Unauthorized"
    }
  • 401Unauthorized

    Missing, expired or invalid access token.

    {
      "statusCode": 401,
      "message": "Unauthorized"
    }
  • 403Account closed
    {
      "message": "Account closed",
      "code": "ACCOUNT_CLOSED"
    }
  • 403Account not active
    {
      "statusCode": 403,
      "message": "Account not active",
      "error": "Forbidden"
    }
POST /v1/authentication
curl -X POST https://api.sandbox.charitips.com/v1/authentication \  -u "$CHARITIPS_CLIENT_ID:$CHARITIPS_CLIENT_SECRET"
Built from the spec and the API code

Request bodies are written for this docs and checked against the API's validation; ids in angle brackets are placeholders. Response values are placeholders built from the schema.